# Generated from opennebula-cli-7.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name opennebula-cli

Name: rubygem-%{gem_name}
Version: 7.0.0
Release: 1%{?dist}
Summary: OpenNebula Command Line Interface
License: Apache-2.0
URL: http://opennebula.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Commands used to talk to OpenNebula.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/oneacct
%{_bindir}/oneacl
%{_bindir}/onebackupjob
%{_bindir}/onecluster
%{_bindir}/onedatastore
%{_bindir}/oneflow
%{_bindir}/oneflow-template
%{_bindir}/onegroup
%{_bindir}/onehook
%{_bindir}/onehost
%{_bindir}/oneimage
%{_bindir}/oneirb
%{_bindir}/onelog
%{_bindir}/onemarket
%{_bindir}/onemarketapp
%{_bindir}/onesecgroup
%{_bindir}/oneshowback
%{_bindir}/onetemplate
%{_bindir}/oneuser
%{_bindir}/onevdc
%{_bindir}/onevm
%{_bindir}/onevmgroup
%{_bindir}/onevnet
%{_bindir}/onevntemplate
%{_bindir}/onevrouter
%{_bindir}/onezone
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NOTICE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/share
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Jul 03 2025 mockbuilder - 7.0.0-1
- Initial package
